#include <xvt.h>

#ifndef __CHECKS_H
#include <checks.h>
#endif

#ifndef __CONFAPP_H
#include <confapp.h>
#endif

#ifndef __EXECP_H
#include <execp.h>
#endif

#ifndef __TABUTIL_H
#include <tabutil.h>
#endif

// #include "ve5.h"

class Conf_vendite_app : public TConfig_application
{ 

public:
  virtual bool preprocess_config (TMask& mask, TConfig& config);
  virtual bool postprocess_config (TMask& mask, TConfig& config);
  
  Conf_vendite_app() : TConfig_application(CONFIG_DITTA) {}
  virtual ~Conf_vendite_app() {}
};

bool Conf_vendite_app::preprocess_config (TMask& mask, TConfig& config)
{ 
  disable_menu_item(M_FILE_NEW);
  disable_menu_item(M_FILE_REVERT);
  return TRUE; 
}

bool Conf_vendite_app::postprocess_config(TMask& mask, TConfig& config)
{ TExternal_app *cl;
  TTable t("TIP");
  t.first();
  while( ! t.eof() )
  {          
    TString s( "Eseguir \"vegenmsk " );
    s << t.get( "S1" );
    s << "\"!";      
    message_box( s );
    s = "vegenmsk ";
    s << t.get( "S1" );
    cl = new TExternal_app( s );
    cl->run( );
    delete cl;
    t.next();
  }
  enable_menu_item(M_FILE_NEW);
  enable_menu_item(M_FILE_REVERT);
  return TRUE;
}

int ve0200(int argc, char** argv)
{
  Conf_vendite_app appc;
  
  appc.run(argc, argv, "Parametri gestione vendite");
  return 0;
}
