#include <xvt.h>
#include <strings.h>
#include <checks.h>

// #define MAIN


#define usage "Errore - Utilizzo: %s -{0|1|2|3}"

extern int ve2100(int argc, char* argv[]);  // listini            
extern int ve2200(int argc, char* argv[]);  // contratti 
extern int ve2300(int argc, char* argv[]);  // offerte-campagne
extern int ve2400(int argc, char* argv[]);  // anagrafica di magazzino

int main( int argc, char** argv)
{
  int rt = -1;
  const int r = (argc > 1) ? atoi( &argv[1][1] ) : -1;

  switch (r)
  {
  case 0:
    rt = ve2100( argc, argv );
    break;
  case 1:
    rt = ve2200( argc, argv );
    break;
  case 2:
    rt = ve2300( argc, argv );
    break;
  case 3:
    rt = ve2400( argc, argv );
    break;
  default:
    error_box( usage, argv[0] );
    break;
  }
  return rt;
}

