#include "ve2200.h"

#define LF_CONDV  52   
#define LF_RCONDV  53


#ifndef __CHECKS_H
#include <checks.h>
#endif

#ifndef __RELAPP_H
#include <relapp.h>
#endif

#ifndef __LFFILES_H
#include <lffiles.h>
#endif

class TConcli_application : public TRelation_application
{
  TMask* _msk;
  TRelation* _rel;
  
  virtual bool user_create();
  virtual bool user_destroy();                        
  virtual TMask* get_mask(int mode) { return _msk;}
  virtual bool changing_mask(int mode) { return FALSE;}
  virtual TRelation* get_relation() const { return _rel;}
  

  
public:
  
  TConcli_application( ) { }; 
  virtual ~TConcli_application() { }
};

bool TConcli_application::user_create()
{
  _msk = new TMask( "VE2200" );
  _rel = new TRelation( LF_CONDV );
  // _rel.add( "%PIP" )
  return TRUE;
}

bool TConcli_application::user_destroy()
{
  delete  _msk;
  delete  _rel;
  return TRUE;
}

int ve2200(int argc, char* argv[])
{
  
  TConcli_application a;
  
  a.run(argc, argv, "Gestione contratti " );
  return 0;
}
